%define module	Image-Imlib2
%define name	perl-%{module}
%define version 1.13
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Interface to the Imlib2 image library
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Image/%{module}-%{version}.tar.bz2
Buildrequires:	perl-devel
Buildrequires:	perl(Module::Build)
Buildrequires:	perl(ExtUtils::CBuilder)
Buildrequires:	perl(ExtUtils::XSBuilder)
Buildrequires:	imlib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Image::Imlib2 is a Perl port of Imlib2, a graphics library that does image file
loading and saving as well as manipulation, arbitrary polygon support, etc. It
does ALL of these operations FAST. It allows you to create colour images using
a large number of graphics primitives, and output the images in a range of
formats.

Image::Imlib2::Polygon and Image::Imlib2::ColorRange are described following
Image::Imlib2 but may be referenced before their description.

Note that this is an early version of my attempt at a Perl interface to Imlib2.
Currently, the API is just to test things out. Not everything is supported, but
a great deal of functionality already exists. If you think the API can be
tweaked to be a bit more intuitive, drop me a line!

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorarch}/auto/Image
%{perl_vendorarch}/Image
%{_mandir}/*/*


%changelog
* Thu Nov 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdv2007.0
+ Revision: 84623
- new version
- Import perl-Image-Imlib2



* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2007.0
- New version 1.12

* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2007.0
- New version 1.11

* Thu Jun 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.10-1mdv2007.0
- New version 1.10

* Fri Jun 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-2mdv2007.0
- buildrequires ExtUtils-XSBuilder and ExtUtils-CBuilder

* Tue Jun 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-1mdv2007.0
- New version 1.09
- %%mkrel
- fix build flags

* Thu Mar 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdk
- New release 1.08

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdk
- New release 1.07

* Fri Feb 04 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.04-1mdk 
- new version
- re-enable test

* Wed Jan 26 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-3mdk 
- rebuild for new imlib2
- fix url
- rpmbuildupdate aware
- disable test, seems broken

* Mon Nov 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.03-2mdk 
- rebuild for new perl

* Sat Jul 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.03-1mdk
- 1.03

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.02-1mdk
- 1.02

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.01-2mdk
- fixed dir ownership (distlint)

* Sun Dec 07 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.01-1mdk
- first mdk release
